<?php

declare (strict_types = 1);

namespace Ig\IgQrcode\Widgets\Provider;

/**
 * Provides chart data for sys log errors.
 */
class LanguageDataProvider extends AbstractSqlDataProvider
{

    protected $sql =  "SELECT title AS label,count(*) AS data FROM tx_igqrcode_domain_model_log JOIN sys_language AS L ON L.uid = target_language_uid WHERE target_language_uid <> '' GROUP BY target_language_uid ORDER BY target_language_uid";
    protected $tablename =  'tx_igqrcode_domain_model_log';
    
}
